Create a Field for a Life Stage Section for a Firm Run in API Explorer
Ask AI
POST
/api/v1/expenditure-structure/field
curl \
--request POST 'https://api.plannrcrm.com/api/v1/expenditure-structure/field' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"name": "Electricity",
"life_stage_section_uuid": "b640a915-eb59-4d5c-bee6-6dd4a9b081e1"
}'
Request examples
{
"name": "Electricity",
"life_stage_section_uuid": "b640a915-eb59-4d5c-bee6-6dd4a9b081e1"
}
Response examples (200)
[
{
"uuid": "385f9897-590f-4b4b-8476-206e9a37994f",
"name": "Electricity",
"section": "Housekeeping Expenses",
"created_at": "2026-10-29T17:25:04+00:00",
"updated_at": "2026-10-29T17:25:04+00:00"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}